aboutsummaryrefslogtreecommitdiffstats
path: root/rc.d/init.d/skeleton
diff options
context:
space:
mode:
Diffstat (limited to 'rc.d/init.d/skeleton')
-rwxr-xr-xrc.d/init.d/skeleton27
1 files changed, 27 insertions, 0 deletions
diff --git a/rc.d/init.d/skeleton b/rc.d/init.d/skeleton
new file mode 100755
index 00000000..a0d2758b
--- /dev/null
+++ b/rc.d/init.d/skeleton
@@ -0,0 +1,27 @@
+#!/bin/sh
+#
+# skeleton Example file to build /etc/init.d scripts.
+#
+# Version: @(#) /etc/init.d/skeleton 1.01 26-Oct-1993
+#
+# Author: Miquel van Smoorenburg, <miquels@drinkel.nl.mugnet.org>
+#
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+# See how we were called.
+case "$1" in
+ start)
+ touch /var/lock/subsys/skeleton
+ ;;
+ stop)
+ rm -f /var/lock/subsys/skeleton
+ ;;
+ *)
+ echo "Usage: skeleton {start|stop}"
+ exit 1
+esac
+
+exit 0
+